package _VisualDVM.Passes.All;
import Common.Visual.Windows.Dialog.VFileChooser;
import _VisualDVM.Utils;

import java.io.File;
import java.util.Vector;
public class CreateTestFromSelectedFiles extends CreateTestFromDirectory {
    @Override
    public String getIconPath() {
        return "/Common/icons/MassFiles.png";
    }
    @Override
    protected boolean selectFiles() {
        VFileChooser files_chooser = new VFileChooser("Выбор файлов");
        Utils.ChooserProjectsSearchDirectory(files_chooser);
        Vector<File> res = files_chooser.ShowMultiDialog();
        dir = files_chooser.getCurrentDirectory();
        if (res.isEmpty()) {
            Log.Writeln_("Не выбрано ни одного файла.");
            return false;
        } else {
            this.files = res;
            saveDirectory();
        }
        return true;
    }
}
